--- old/usr/src/uts/common/io/skd/skd.c	2015-08-19 07:25:17.198273433 -0400
+++ new/usr/src/uts/common/io/skd/skd.c	2015-08-19 07:25:17.204141787 -0400
@@ -217,7 +217,7 @@
 	 * drv_usectohz() is a function, so can't initialize it at
 	 * instantiation.
 	 */
-	skd_timer_ticks = drv_usectohz(1000000);
+	skd_timer_ticks = drv_sectohz(1);
 
 	Dcmn_err(CE_NOTE,
 	    "<# Installing skd Driver dbg-lvl=%d %s %x>",
@@ -2893,7 +2893,7 @@
 	mutex_enter(&skdev->skd_internalio_mutex);
 	while (skdev->sync_done == 0) {
 		cur_ticks = ddi_get_lbolt();
-		tmo = cur_ticks + drv_usectohz(1000000 * secs);
+		tmo = cur_ticks + drv_sectohz(secs);
 		if (cv_timedwait(&skdev->cv_waitq,
 		    &skdev->skd_internalio_mutex, tmo) == -1) {
 			/* Oops - timed out */
@@ -4520,7 +4520,7 @@
 
 	while (skdev->gendisk_on == 0) {
 		cur_ticks = ddi_get_lbolt();
-		tmo = cur_ticks + drv_usectohz(MICROSEC);
+		tmo = cur_ticks + drv_sectohz(1);
 		if (cv_timedwait(&skdev->cv_waitq,
 		    &skdev->skd_internalio_mutex, tmo) == -1) {
 			/* Oops - timed out */
